#define SIZE 17

LiquidCrystal lcd(8, 9, 4, 5, 6, 7); // configuracao do modulo da dx.com
char buffer0[SIZE];
char buffer1[SIZE];
int modificado = 0;
void setupDisplay()
{
  lcd.begin(16, 2);
  
  memset(buffer0,0,SIZE);
  memset(buffer1,0,SIZE);
}

void lcdPrint(int linha, char* texto)
{
    modificado = 1;
   if(linha==0) sprintf(buffer0,"%s",texto);
   else sprintf(buffer1,"%s",texto);
}

void populaDisplay()
{
  sprintf(buffer0, "ED ED S T A %4d",(int)horizPos);
  //sprintf(buffer0, "ED ED S T A %4d",(int)distancia);
  sprintf(buffer1, "%1d%1d %1d%1d %1d %1d %1d %4d",m0e,m0d,m1e,m1d,disparo,trava,atingido,(int)vertPos);
  modificado = 1;
}

void atualizaDisplay()
{
  if(modificado)
  {
    modificado = 0;
    lcd.setCursor(0, 0);
    lcd.write(buffer0);
    lcd.setCursor(0, 1);
    lcd.write(buffer1);
  }
}
